#!/bin/sh

PWD="/bin/pwd"
CWD=`$PWD`
UNAME="/bin/uname"
AWK="/bin/awk"

if [ -x "/bin/echo" ]
then
  ECHO="/bin/echo"
fi
if [ -x "/usr/bin/echo" ]
then
  ECHO="/usr/bin/echo"
fi

AIX_APP=data/app.tar
AIX_TAR=data/app.tar

# ************************************************************************
# *     CLEAR
# ************************************************************************
CLEAR ()
{
  $ECHO ""
  $ECHO ""
  $ECHO ""
  $ECHO ""
  $ECHO ""
  $ECHO ""
  $ECHO ""
  $ECHO ""
  $ECHO ""
}
# ************************************************************************
# *     FatalError
# ************************************************************************
FatalError ()
{
  $ECHO ""
  $ECHO "Installation failed!"
  $ECHO ""
  exit 1
}
# ************************************************************************
# *     NormalError
# ************************************************************************
NormalError ()
{
  $ECHO ""
  $ECHO "Installation aborted."
  $ECHO ""
  exit 2
}

# ************************************************************************
# *      InstallSpaceWare
# ************************************************************************
InstallSpaceWare ()
{
   ShutdownSpaceware
    cd /tmp
    tar -oxf $CWD/$AIX_TAR install
    cd install
    ./sbinstall -d  $CWD/$AIX_APP
    exit 0
}

#*************************************************************************
#     PrintRemoteInstall
#*************************************************************************
PrintRemoteInstall ()
{
CLEAR

$ECHO "To extract a tar file for remote installations, follow the steps below."
$ECHO "For complete instructions please refer to the on-line documentation."
$ECHO
$ECHO "1. Use the CD command to change to the directory with your platform name on"
$ECHO "the mount point of the install media."
$ECHO
$ECHO "For example, on AIX, the command is: cd /mnt/unix/aix"
$ECHO
$ECHO "2. Copy the SpaceWare tar file to the target workstation using the following"
$ECHO "command as an example. <hostname> is the name of the target workstation:"
$ECHO
$ECHO "rcp app.tar <hostname>:/tmp/SpaceWare.tar"
$ECHO
$ECHO "If rcp does not work on your network use ftp (binary mode)"
$ECHO "or uucp to transfer the file."
$ECHO
$ECHO "3. Log in as root on the target workstation."
$ECHO
$ECHO "4. Load and run the SpaceWare software file on the target workstation by typing:"
$ECHO "mkdir /tmp/install"
$ECHO "cd /tmp; tar xf SpaceWare.tar install;"
$ECHO "cd install; ./sbinstall"
$ECHO
}

# ************************************************************************
# *      ShutdownSpaceware
# ************************************************************************
ShutdownSpaceware()
{
   /etc/SpaceWare/spaceball disable > /dev/null 2>&1
}


#*************************************************************************
# Main Body
#*************************************************************************

CLEAR
DONE=0
while [ "$DONE" -eq 0 ] ; do
  $ECHO "Install SpaceWare 9.2.17 for AIX now (y/n) [y] ?"
  read ANSWER
  case "$ANSWER" in
    y | Y | "")
      DONE=1
      ;;
    n | N)
      exit 0
      ;;
    *)
      $ECHO "Invalid Response."
      ;;
  esac
done
    
InstallSpaceWare "aix"
