#!/bin/ksh
# This script file creates a temporary filesystem to use for the Operating Env. installation
log=/tmp/install_ksh.log                                         # location of log file
echo "\nCreate IDEAS directory " >> /tmp/log                     # use /tmp/log temporarily time to create /IDEAS/adm
#
lsfs /IDEAS 2>>$log 1>&2
ret=$?
if [ $ret = 0 ] ; then                                           # if filesystem exists, do nothing
  echo "\n---> filesystem /IDEAS exists\n" | tee -a $log > $console
  mount | awk '{ print $2 }' | grep '^/IDEAS$' 2>>$log 1>&2      # mount the filesystem
  ret=$?
  if [ $ret = 0 ] ; then                                         # if filesystem exists, do nothing
    echo "\n---> filesystem /IDEAS already mounted\n" | tee -a $log > $console
  else
    mount /dev/lvIDEAS /IDEAS 2>>$log 1>&2
  fi
else
  echo "\n---> creating filesystem /IDEAS and mounting it\n" | tee -a $log > $console
  mklv -y'lvIDEAS' rootvg 2
  crfs -v jfs -d'lvIDEAS' -m'/IDEAS' -A''`locale yesstr | awk -F: '{print $1}'`'' -p'rw' -t''`locale nostr | awk -F: '{print $1}'`'' -a frag='4096' -a nbpi='4096' -a compress='no'
  chfs -a size='950272' /dev/lvIDEAS
  mount /dev/lvIDEAS /IDEAS 2>>$log 1>&2
fi
mkdir -p /IDEAS/adm 2>>$log 1>&2
